Package org.eclipse.lemminx.services.format

## Class DOMProcessingInstructionFormatter

- java.lang.Object
- - org.eclipse.lemminx.services.format.DOMProcessingInstructionFormatter

    public class DOMProcessingInstructionFormatter
    extends Object

DOM processing instruction formatter.

Author:
  Angelo ZERR

### Constructor Summary

Constructors
`DOMProcessingInstructionFormatter​(XMLFormatterDocument formatterDocument, DOMAttributeFormatter attributeFormatter)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `formatProcessingInstruction​(DOMProcessingInstruction processingInstruction, XMLFormattingConstraints parentConstraints, List<org.eclipse.lsp4j.TextEdit> edits)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DOMProcessingInstructionFormatter

    public DOMProcessingInstructionFormatter​(XMLFormatterDocument formatterDocument,
                                             DOMAttributeFormatter attributeFormatter)

### Method Detail

#### formatProcessingInstruction

    public void formatProcessingInstruction​(DOMProcessingInstruction processingInstruction,
                                            XMLFormattingConstraints parentConstraints,
                                            List<org.eclipse.lsp4j.TextEdit> edits)